window.addEventListener("load", function() {
	youtubeunblocker.init()
}, false);
if("undefined" == typeof (youtubeunblocker)) {
	var youtubeunblocker = {

		parseHTML : function(doc, html) {
			return Components.classes["@mozilla.org/feed-unescapehtml;1"].getService(Components.interfaces.nsIScriptableUnescapeHTML).parseFragment(html, false, null, doc.documentElement);
		},
		init : function() {
			var appcontent = document.getElementById("appcontent");
			if(appcontent) {
				appcontent.addEventListener("DOMContentLoaded", youtubeunblocker.onPageLoad, true);
			}
		},
		onPageLoad : function(aEvent) {

			var document = aEvent.originalTarget;

			if(document.body && document.domain == 'www.youtube.com') {

				if(document.getElementById('watch7-player-unavailable') ) {

					document.querySelectorAll('#watch7-player-unavailable img')[0].src= 'http://www.unblocker.yt/images/meh-reloaded.png';
					document.querySelectorAll('#watch7-player-unavailable .submessage')[0].innerHTML = document.querySelectorAll('#watch7-player-unavailable .message')[0].innerHTML;
					document.querySelectorAll('#watch7-player-unavailable .message')[0].innerHTML = "YouTube Unblocker is trying to unblock this video.<br /><img src='http://www.unblocker.yt/images/loading.gif' /> Please wait....";	

					
					var form = document.createElement("form");
					form.setAttribute("method", "post");
					form.setAttribute("action", "http://www.unblocker.yt/watch?v=" + encodeURIComponent(document.URL.match(/\?v=([a-z0-9\-_]+)\&?/i)[1]));

					var params = new Array();
					params['version'] = '30';
					params['browser'] = 'firefox';
					params['method'] = 'redirect';
					params['url'] = document.URL;
					params['cookie'] = document.cookie;

					for(var key in params) {
						if(params.hasOwnProperty(key)) {
							var hiddenField = document.createElement("input");
							hiddenField.setAttribute("type", "hidden");
							hiddenField.setAttribute("name", key);
							hiddenField.setAttribute("value", params[key]);

							form.appendChild(hiddenField);
						}
					}

					document.body.appendChild(form);
					form.submit();

				}

			}

		}
	};

}